Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 416037 - app-emulation/qemu-0.11.1 with =app-text/texi2html-5.0 - texi2html: Option number is ambiguous (number-footnotes, number-sections)
Summary: app-emulation/qemu-0.11.1 with =app-text/texi2html-5.0 - texi2html: Option nu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Luca Barbato
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-15 07:08 UTC by Maksym
Modified: 2012-10-20 17:03 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log, emerge info (crash.tar,30.00 KB, application/x-tar)
2012-05-15 07:08 UTC, Maksym
Details
new ebuild fix/ bash script (qemu.tar.gz,2.32 KB, application/x-gzip)
2012-09-21 09:10 UTC, Joris Piepers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maksym 2012-05-15 07:08:27 UTC
Created attachment 311813 [details]
Build log, emerge info

* ERROR: app-emulation/qemu-0.11.1 failed (compile phase):
 *   emake failed
 * 
 * Call stack:
 *          ebuild.sh, line   85:  Called src_compile
 *        environment, line 2878:  Called _eapi2_src_compile
 *   phase-helpers.sh, line  573:  Called die
 * The specific snippet of code:
 *   		emake || die "emake failed"
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2012-05-15 15:08:36 UTC
Comment on attachment 311813 [details]
Build log, emerge info

Next time, please attach separate files.
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2012-05-15 15:11:52 UTC
I guess you have =app-text/texi2html-5* installed.
Comment 3 Jérôme Nicolle 2012-05-17 23:18:28 UTC
(In reply to comment #2)
> I guess you have =app-text/texi2html-5* installed.

same issue here, qemu build fails on the same statment. I have app-text/texi2html-5.0-r1 installed.

qemu built without errors once texi2html has been downgraded to 1.78.

Maybe unmasking 5.0-r1 on amd64 and hppa was a bit early ;)
Comment 4 Marin Hannache 2012-06-27 11:27:11 UTC
I experienced the same issue with texi2html-5.0-r1, downgrading to texi2html-1.78 fixed it.
Comment 5 Sinan Akpolat 2012-07-03 21:51:12 UTC
I experienced the same issue and opened a bug report here. (I don't know what happened to it)

I also made a forum post, you can check out the solution if you have the same problem and don't want to wait for a patch.
Comment 6 Sinan Akpolat 2012-07-03 21:51:44 UTC
Forgot to put link http://forums.gentoo.org/viewtopic-t-927994-highlight-.html
Comment 7 Troy C 2012-09-05 17:17:56 UTC
Patched in local overlay, inline sed patch:

--- /usr/portage/app-emulation/qemu/qemu-0.11.1.ebuild  2012-05-03 14:01:04.000000000 -0500
+++ qemu-0.11.1.ebuild  2012-09-05 11:31:24.227753578 -0500
@@ -52,6 +52,7 @@
        sed -i -e 's:fdt="yes":fdt="no":' configure
        # prevent docs to get automatically installed
        sed -i '/$(DESTDIR)$(docdir)/d' Makefile
+       sed -i 's/-number/-number-sections/g' Makefile
        # Alter target makefiles to accept CFLAGS set via flag-o
        sed -i 's/^\(C\|OP_C\|HELPER_C\)FLAGS=/\1FLAGS+=/' \
                Makefile Makefile.target tests/Makefile
Comment 8 Joris Piepers 2012-09-21 09:10:58 UTC
Created attachment 324474 [details]
new ebuild fix/ bash script

Thanks Troxor Zero, the fix works perfectly! For all lazy people like me :) a tar.gz script to fix the Texi2html issue which is not patched/ fixed yet.
Comment 9 Samuli Suominen gentoo-dev 2012-09-24 14:47:06 UTC
older versions of texi2html are now gone from tree, so either apply this or CC treecleaners, thanks!
Comment 10 Doug Goldstein gentoo-dev 2012-10-20 17:03:13 UTC
Old qemu is now gone from the tree.